# Class CIM_ApplicationSystemDependency
extends CIM_Dependency

This dependency expresses use-relationships or other logical interactions between application systems. At the business level, the relationship could be due to a distributed business process. Viewed from the technical level, the relationship is to be interpreted as communication between application systems. ApplicationSystemDependency primarily expresses 'horizontal' relationships, i.e., relationships between distributed or local application systems.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ApplicationSystemDependency

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

This dependency expresses use-relationships or other logical interactions between application systems. At the business level, the relationship could be due to a distributed business process. Viewed from the technical level, the relationship is to be interpreted as communication between application systems. ApplicationSystemDependency primarily expresses 'horizontal' relationships, i.e., relationships between distributed or local application systems.

UMLPackagePath | string | CIM::Application::AppRuntime
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_ApplicationSystemDependency | CIM_ApplicationSystem
Dependent | CIM_ApplicationSystemDependency | CIM_ApplicationSystem

## Class Methods